Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.integrator.spi
Interface ServiceContributingIntegrator

All Superinterfaces:
  Integrator

    public interface ServiceContributingIntegrator

extends Integrator

Additional, optional contract for Integrators that wish to contribute `services` to the Hibernate `ServiceRegistry`.

Method Summary
`void` | `prepareServices(ServiceRegistryBuilder serviceRegistryBuilder)` Allow the integrator to alter the builder of `ServiceRegistry`, presumably to register services into it.

Methods inherited from interface org.hibernate.integrator.spi.Integrator
`disintegrate, integrate, integrate`

Method Detail

### prepareServices

    void prepareServices(ServiceRegistryBuilder serviceRegistryBuilder)

  Allow the integrator to alter the builder of `ServiceRegistry`, presumably to register services into it.

  Parameters:
    `serviceRegistryBuilder` - The build to prepare.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.